Return to your own account after delegated access

Exit a session where you had delegated access to another account and return to managing your own account. This is useful after completing necessary actions for the other account.

Account & Access Delegated Access

Context

Used in the dashboard

/accept-invite/[token] /teams

Path Parameters

grantId string required Example: 11111111-1111-1111-1111-111111111111

grantId parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.message string required · Example: Switched back to own account

Human-readable message.

data.redirect string · Example: /
data.success boolean · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

message string required · Example: Not in a delegated access session

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/delegated-access/{grantId}
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/delegated-access/11111111-1111-1111-1111-111111111111" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Switched back to own account",
    "redirect": "/"
  }
}